osCommerce France : Accueil Forum Portail osCommerce France Réponses aux questions Foire aux contributions

Bienvenue invité ( Connexion | Inscription )

 
Reply to this topicStart new topic
> JqZoom sur la version 2.3
gilles6688
posté 2 May 2012, 16:56
Message #1


Ceinture blanche OSC
Icône de groupe

Groupe : Membres
Messages : 10
Inscrit : 25-April 12
Membre no 30950



Salut à tous,


J'aimerais installer JQZOOM sur la version 2.3 mais je n'arrive pas, pouvez-vous m'aider?


Merci par avance


Gilles


--------------------
Version installée: osCommerce Online Merchant v2.3.1
Go to the top of the page
 
Bonbec
posté 2 May 2012, 18:00
Message #2


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1464
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

Dire "ça ne marche pas" => ça ne veut rien dire, mais absolument rien wacko.gif
C'est pas avec ça qu'on pourra t'aider ...

Explique ce que tu as fait et le résultat obtenu, l'éventuel message d'erreur, etc ...


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
gilles6688
posté 3 May 2012, 07:30
Message #3


Ceinture blanche OSC
Icône de groupe

Groupe : Membres
Messages : 10
Inscrit : 25-April 12
Membre no 30950



Bonjour,

Impossible de trouver dans le fichier toutes les lignes de codes.


JQZoom pour OSC MS2.2RC2a
Par SambaMambo - OSCom-fr.com
1st Mars 2010
Support Français : http://oscommerce-fr.org/viewtopic.php?f=12&t=35

Cette contribution ajoute le JQzoom sur la page product_info.php et dans le module new_products.php sur l'index

---------------------------------------------------------
Mise à jour v1.1
---------------------------------------------------------
- Ajout de JQzoom dans le module new_products.php sur l'index
- Correction installation

---------------------------------------------------------
1-Dans product_info.php
---------------------------------------------------------
Ajoutez entre les balises <head></head>:
<script src="/js/jquery-1.3.2.min.js" type="text/javascript"></script>
<script src="/js/jqzoom.pack.1.0.1.js" type="text/javascript"></script>
<script src="/js/jquery.jqzoom1.0.1.js" type="text/javascript"></script>

Trouvez :
<script language="javascript"><!--
function popupWindow(url) {
window.open(url,'popupWindow','toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=no,res
izable=yes,copyhistory=no,width=100,height=100,screenX=150,screenY=150,top=150,le
ft=150')
}
//--></script>

Remplacez par :
<script language="javascript"><!--
$(function() {
$(".jqzoom").jqzoom();
});
</script>

Trouvez :
<script language="javascript"><!--
document.write('<?php echo '<a href="java script:popupWindow(\\\'' . tep_href_link(FILENAME_POPUP_IMAGE, 'pID=' . $product_info['products_id']) . '\\\')">' . tep_image(DIR_WS_IMAGES . $product_info['products_image'], addslashes($product_info['products_name']), SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, 'hspace="5" vspace="5"') . '<br>' . TEXT_CLICK_TO_ENLARGE . '</a>'; ?>');
//--></script>
<noscript>
<?php echo '<a href="' . tep_href_link(DIR_WS_IMAGES . $product_info['products_image']) . '" target="_blank">' . tep_image(DIR_WS_IMAGES . $product_info['products_image'], $product_info['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT, 'hspace="5" vspace="5"') . '<br>' . TEXT_CLICK_TO_ENLARGE . '</a>'; ?>
</noscript>

Remplacez par :
<?php echo '<a href="'.tep_href_link(DIR_WS_IMAGES . $product_info['products_image']).'" class="jqzoom" style="">' . tep_image(DIR_WS_IMAGES . $product_info['products_image'], $product_info['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>' ;?>


Une fois les modifications faites,
trouvez :

<table border="0" cellspacing="0" cellpadding="2" align="right">
<tr>
<td align="center" class="smallText">

<?php echo '<a href="'.tep_href_link(DIR_WS_IMAGES . $product_info['products_image']).'" class="jqzoom" style="">' . tep_image(DIR_WS_IMAGES . $product_info['products_image'], $product_info['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>' ;?>

</td>
</tr>
</table>
<?php
}
?>
<p><?php echo stripslashes($product_info['products_description']); ?></p>

Remplacez par :
<table border="0" cellspacing="0" cellpadding="2" align="left">
<tr>
<td align="center" class="smallText" width="250px">

<?php echo '<a href="'.tep_href_link(DIR_WS_IMAGES . $product_info['products_image']).'" class="jqzoom" style="">' . tep_image(DIR_WS_IMAGES . $product_info['products_image'], $product_info['products_name'], 250) . '</a>' ;?>

</td>
<td valign="top">
<?php echo stripslashes($product_info['products_description']); ?>
</td>
</tr>
</table>
<?php
}
?>


C'est pour la version 2.2 marche t'elle avec la version 2.3?


Merci




--------------------
Version installée: osCommerce Online Merchant v2.3.1
Go to the top of the page
 
Bonbec
posté 3 May 2012, 08:44
Message #4


Ceinture marron OSC
Icône de groupe

Groupe : Modérateurs
Messages : 1464
Inscrit : 30-May 06
Lieu : Vichy (03)
Membre no 10583



Bonjour,

La réponse est dans l'entête du fichier :
JQZoom pour OSC MS2.2RC2a

C'est une contrib pour la version 2.2 d'OsCommerce et le code des pages est différent de la version 2.3 que tu as.
A ma connaissance il n'y a pas de version pour la 2.3, il va falloir sérieusement bidouiller unsure.gif
Voilà la page officielle de JQZoom

Ce message a été modifié par Bonbec - 3 May 2012, 08:52.


--------------------
Config 1 en live : Osc 2.2 très fortement modifié ... UTF-8 et Php 5.4.
Contribs installées : down_for_maintenance_v 2.3 | Estimated Shipping v1.5 | imprint_1_3_5 | low_stock_report_v2.04 | visible_countries_1.2b | Products Tabs | shoppingCart_cleanup_v1.01.0 | + trop de bidouilles persos pas très OsCommerce (erreurs de jeunesse)
Config 2 en local avec UwAmp : Osc 2.3.4 BS
Go to the top of the page
 
moulte
posté 12 May 2012, 19:27
Message #5


Ceinture blanche+ OSC
Icône de groupe

Groupe : Membres
Messages : 32
Inscrit : 8-March 12
Membre no 30681



tu trouvera cette contrib pour 2.3 qui fonctionne trés bien et extrêmement facile a installer

http://addons.oscommerce.com/info/8194

Aprés attention il faut l'installer avec un minimum de réflexion comme peut etre ne pas remettre plusieur fois la librerie jquery si tu a d'autre contrib jquery ect ect

Ce message a été modifié par moulte - 12 May 2012, 19:29.
Go to the top of the page
 

Reply to this topicStart new topic
1 utilisateur(s) sur ce sujet (1 invité(s) et 0 utilisateur(s) anonyme(s))
0 membre(s) :

 



RSS Version bas débit Nous sommes le : 22nd August 2019 - 00:34
Ce site est déclaré auprès de la commision Nationale
de l'Informatique et des Libertés (déclaration n°: 1043896)